$(function () {
    //标题颜色
    $("#colorBox a").click(function () {
        if ($("#tagName_text").val() != "") {
            $("#tagName_text").css("color", $(this).attr("href"));
            $("#tagColor_hide").val($(this).attr("href"));
        } else {
            alert("请先输入Tag名称!");
        }
        return false;
    });
    //标题加粗
    $("#tagIsbold_chk").click(function () {
        if ($("#tagName_text").val() != "") {
            if ($(this).attr("checked") == true) {
                $("#tagName_text").css("font-weight", "bold");
            } else {
                $("#tagName_text").css("font-weight", "100");
            }
        } else {
            alert("请先输入Tag名称!");
        }
    });

    //检查栏目名是否存在
    function isTagNameExist(name) {
        var retValue = false
        $.ajax({
            type: "POST",
            url: "Ajax/Tag.ashx",
            data: { 'com': 'istag', 'tagname': name },
            datatype: "json",
            async: false,
            beforeSend: function (data, textStatus) { },
            success: function (data, textStatus) {
                if (data == "0") {
                    retValue = true;
                } else {
                    retValue = false;
                }
            },
            error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
        })
        return retValue;
    }

    //提交判断
    $("form").submit(function () {
        $("input[type='text'],input[type='password'],textarea").trigger("blur");
        $("select").trigger("change");

        ///新增方法填写在此///
        if ($("#tagName_text").val() != $("#tagColor_hide").val()) {
            if (!isTagNameExist($("#tagName_text").val())) {
                $("#tagName_text").next("span").attr("class", "point ico-error R");
                $("#tagName_text").next("span").html("Tag已经存在!");
                return false;
            }
        }
        /////

        if ($("form span").hasClass("ico-error")) {
            $("input:submit").attr("disabled", false);
            $("input:submit").next("span").attr("class", "point ico-error R");
            $("input:submit").next("span").text("请按照提示正确操作，检查各项填写");
            setInterval(delSubmitBtnMsg, 3000);
            return false;
        } else {
            $("input:submit").attr("disabled", true);
            $("input:submit").next("span").attr("class", "Q");
            $("input:submit").next("span").html("<img src=\"Images/Loading.gif\" align=\"middle\" /> 正在保存…");
        }
    });

});